# Payty for PrestaShop

Payty for PrestaShop is an open source plugin that links e-commerce websites based on PrestaShop to Payty secure payment gateway developed by [Lyra Network](https://www.lyra.com/).

## Installation

To install the module, follow these steps:

- Goto `Modules > Module manager` menu in PrestaShop Back Office.
- Click on `Upload a module` button and select the module ZIP.

In older PrestaShop versions:

- Goto `Modules & services` menu in PrestaShop Back Office.
- Upload `payty` directory to `[PRESTASHOP]/modules/` via FTP or upload module ZIP from PrestaShop backend interface.
- Click on install button corresponding to the Payty module entry.

## Upgrade

To update the payment module, either follow the installation section or follow these steps:

- Upload `payty` directory to `[PRESTASHOP]/modules/` via FTP.
- Goto `Modules > Module manager` menu in PrestaShop Back Office (`Modules & services` in old PrestaShop versions).
- Click on `Upgrade` button corresponding to the Payty module entry.

## Configuration

To configure the payment module, click on `Configure` button corresponding to `Payty` payment module entry. The payment module configuration interface is composed of several sections. Enter your gateway credentials in `GENERAL CONFIGURATION` section.

## License

Each Payty payment module source file included in this distribution is licensed under the Academic Free License (AFL 3.0).

Please see LICENSE.txt for the full text of the AFL 3.0 license. It is also available through the world-wide-web at this URL: https://opensource.org/licenses/afl-3.0.php.